Multivariate Pattern Analysis in Python

# mvpa2.misc.io.hamster.Hamster

class `mvpa2.misc.io.hamster.``Hamster`(*args, **kwargs)

  Simple container class with basic IO capabilities.

  It is capable of storing itself in a file, or loading from a file using pickle (optionally via zlib from compressed files). Any serializable object can be bound to a hamster to be stored.

  To undig burried hamster use Hamster(filename). Here is an example:

      >>> import numpy as np
      >>> import tempfile
      >>> h = Hamster(bla='blai')
      >>> h.boo = np.arange(5)
      >>> tmp = tempfile.NamedTemporaryFile()
      >>> h.dump(tmp.name)
      ...
      >>> h = Hamster(tmp.name)

  Since Hamster introduces methods `dump`, `asdict` and property ‘registered’, those names cannot be used to assign an attribute, nor provided in among constructor arguments.

  Attributes

  `registered` | List registered attributes.

  Methods

  `asdict`() | Return registered data as dictionary
  `dump`(filename[, compresslevel]) | Bury the hamster into the file

  Initialize Hamster.

  Providing a single parameter string would treat it as a filename from which to undig the data. Otherwise all keyword parameters are assigned into the attributes of the object.

  Attributes

  `registered` | List registered attributes.

  Methods

  `asdict`() | Return registered data as dictionary
  `dump`(filename[, compresslevel]) | Bury the hamster into the file

  `asdict`()

    Return registered data as dictionary

  `dump`(filename, compresslevel='auto')

    Bury the hamster into the file

    Parameters:

    filename : str

    > Name of the target file. When writing to a compressed file the filename gets a ‘.gz’ extension if not already specified. This is necessary as the constructor uses the extension to decide whether it loads from a compressed or uncompressed file.

    compresslevel : ‘auto’ or int

    > Compression level setting passed to gzip. When set to ‘auto’, if filename ends with ‘.gz’ `compresslevel` is set to 5, 0 otherwise. However, when `compresslevel` is set to 0 gzip is bypassed completely and everything is written to an uncompressed file.

  `registered`

    List registered attributes.